%define upstream_name    App-SmokeBox-PerlVersion
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    SmokeBox helper module to determine perl version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Quickie)
BuildArch: noarch


%description
App::SmokeBox::PerlVersion is a simple helper module for the
App::SmokeBox::Mini manpage and the minismokebox manpage that determines
and version and architecture of a given 'perl' executable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.160.0-8pclos2017
- rebuild against updates

